package com.zanxiang.game.data.serve.service;

import com.zanxiang.game.data.serve.pojo.dto.ActiveDataDayDTO;
import com.zanxiang.game.data.serve.pojo.dto.ActiveDataTotalDTO;
import com.zanxiang.game.data.serve.pojo.dto.MediaActiveDataDayDTO;
import com.zanxiang.game.data.serve.pojo.vo.ActiveDataDayVO;
import com.zanxiang.game.data.serve.pojo.vo.ActiveDataTotalVO;
import com.zanxiang.game.data.serve.pojo.vo.MediaActiveDataDayVO;
import com.zanxiang.game.data.serve.pojo.vo.MediaActiveDataTotalVO;
import com.zanxiang.game.data.serve.utils.Page;

public interface IActiveDataService {

    Page<ActiveDataDayVO> getActiveDataDay(ActiveDataDayDTO dto);

    ActiveDataTotalVO getActiveDataTotal(ActiveDataTotalDTO dto);

    /**
     * 游戏媒体留存数据
     * @param dto
     * @return
     */
    Page<MediaActiveDataDayVO> getMediaActiveDataDay(MediaActiveDataDayDTO dto);

    /**
     * 游戏媒体留存数据总计
     * @param dto
     * @return
     */
    MediaActiveDataTotalVO getMediaActiveDataTotal(MediaActiveDataDayDTO dto);
}
